Bug 477758 - RFE: patch for better error explanation if delivery fails
RFE: patch for better error explanation if delivery fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: procmail (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 07:52 EST by Dr. Tilmann Bubeck
Modified: 2009-07-14 12:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:03:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to improve error messages of procmail (855 bytes, patch)
2008-12-23 07:52 EST, Dr. Tilmann Bubeck
no flags Details | Diff

  None (edit)
Description Dr. Tilmann Bubeck 2008-12-23 07:52:29 EST
Created attachment 327752 [details]
Patch to improve error messages of procmail

Description of problem:
I'm using procmail together with postfix. The delivery through procmail failed because of EFILETOOLARGE of the mailbox file. However, this error was not logged by procmail. Instead you get a general error message saying: Unable to deliver mail to "/home/XXXX/Maildir/YYYY". You do not get a errno or sys_nerrlist.

The attached patch improves procmail to deliver a errno so that the user knows what went wrong.

Version-Release number of selected component (if applicable):
procmail-3.22-21.fc9


How reproducible:
Use postfix as MTA. 

Steps to Reproduce:
1. Use postfix as MTA. Set mailbox_size_limit to 100000. 
2. receive a mail and use procmail as MDA.
3. look into maillog and see only a general error message
  
Actual results:
general error message

Expected results:
specific error message telling the reason

Additional info:
Comment 1 Bug Zapper 2009-06-09 23:27:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:03:05 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.